<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <style type='text/css'>
        .embeddedServiceHelpButton .helpButton .uiButton {
            background-color: #005290;
            font-family: "Arial", sans-serif;
        }
        .embeddedServiceHelpButton .helpButton .uiButton:focus {
            outline: 1px solid #005290;
        }
    </style>

    <script type='text/javascript' src='https://service.force.com/embeddedservice/5.0/esw.min.js'></script>
    <script type='text/javascript'>
        var initESW = function(gslbBaseURL) {
            embedded_svc.settings.displayHelpButton = true; //Or false
            embedded_svc.settings.language = ''; //For example, enter 'en' or 'en-US'

            //embedded_svc.settings.defaultMinimizedText = '...'; //(Defaults to Chat with an Expert)
            //embedded_svc.settings.disabledMinimizedText = '...'; //(Defaults to Agent Offline)

            //embedded_svc.settings.loadingText = ''; //(Defaults to Loading)
            //embedded_svc.settings.storageDomain = 'yourdomain.com'; //(Sets the domain for your deployment so that visitors can navigate subdomains during a chat session)

            // Settings for Chat
            //embedded_svc.settings.directToButtonRouting = function(prechatFormData) {
                // Dynamically changes the button ID based on what the visitor enters in the pre-chat form.
                // Returns a valid button ID.
            //};
            //embedded_svc.settings.prepopulatedPrechatFields = {}; //Sets the auto-population of pre-chat form fields
            //embedded_svc.settings.fallbackRouting = []; //An array of button IDs, user IDs, or userId_buttonId
            //embedded_svc.settings.offlineSupportMinimizedText = '...'; //(Defaults to Contact Us)

            embedded_svc.settings.enabledFeatures = ['LiveAgent'];
            embedded_svc.settings.entryFeature = 'LiveAgent';

            embedded_svc.init(
                'https://telkom.my.salesforce.com',
                'https://telkom-site.secure.force.com',
                gslbBaseURL,
                '00D5g000004DkS9',
                'Chat_MySIIS',
                {
                    baseLiveAgentContentURL: 'https://c.la2-c1-ukb.salesforceliveagent.com/content',
                    deploymentId: '5725g000000Gr2l',
                    buttonId: '5735g000000HEgN',
                    baseLiveAgentURL: 'https://d.la2-c1-ukb.salesforceliveagent.com/chat',
                    eswLiveAgentDevName: 'EmbeddedServiceLiveAgent_Parent04I5g0000008ew0EAA_17f0a81dea6',
                    isOfflineSupportEnabled: false
                }
            );
            embedded_svc.settings.extraPrechatInfo = [{
            "entityFieldMaps": [{
                "doCreate":true,
                "doFind":false,
                "fieldName":"LastName",
                "isExactMatch":true,
                "label":"Last Name"
            }, {
                "doCreate":true,
                "doFind":false,
                "fieldName":"FirstName",
                "isExactMatch":true,
                "label":"First Name"
            }, {
                "doCreate":true,
                "doFind":true,
                "fieldName":"Email",
                "isExactMatch":true,
                "label":"Email"
            }],
            "entityName":"Contact"
            }];
        };

        if (!window.embedded_svc) {
            var s = document.createElement('script');
            s.setAttribute('src', 'https://telkom.my.salesforce.com/embeddedservice/5.0/esw.min.js');
            s.onload = function() {
                initESW(null);
            };
            document.body.appendChild(s);
        } else {
            initESW('https://service.force.com');
        }
    </script>
</body>
</html>